/*	Sample program for Olimex AVR-MT with AT90S2313 processor
 *	Blink the led
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)
 */

#include "avr/io.h"

#define	__AVR_AT90S2313__	1
#define OSCSPEED	10000000		/* in Hz */

void PORT_Init()
{
	PORTD = 0b00000000;
	DDRD = 0b00001000;	//set Relay as output (Bit3 = 1)
}

int main()
{
	int i, j;	//i is used for additional delay
	while (1)
	{
		PORTD = PORTD | 0b00001000;
		for (i=10; i; i--)
		for (j=30000; j; j--);
		PORTD = PORTD & 0b11110111;
		for (i=10; i; i--)
		for (j=30000; j; j--);
	}
}
